Agora RTC Objective-C API Reference Refactor

Properties
AgoraVideoRenderingTracingInfo Class Reference

Inherits <NSObject>.

## Properties
NSInteger | elapsedTime
NSInteger | start2JoinChannel
NSInteger | join2JoinSuccess
NSInteger | joinSuccess2RemoteJoined
NSInteger | remoteJoined2SetView
NSInteger | remoteJoined2UnmuteVideo
NSInteger | remoteJoined2PacketReceived

## Detailed Description

The video rendering tracing result

## Property Documentation

## ◆ elapsedTime

- (NSInteger) elapsedTime
| readwritenonatomicassign

Elapsed time from the start tracing time to the time when the tracing event occurred.

## ◆ start2JoinChannel

- (NSInteger) start2JoinChannel
| readwritenonatomicassign

Elapsed time from the start tracing time to the time when join channel.

Note If the start tracing time is behind the time when join channel, this value will be negative.

## ◆ join2JoinSuccess

- (NSInteger) join2JoinSuccess
| readwritenonatomicassign

Elapsed time from joining channel to finishing joining channel.

## ◆ joinSuccess2RemoteJoined

- (NSInteger) joinSuccess2RemoteJoined
| readwritenonatomicassign

Elapsed time from finishing joining channel to remote user joined.

Note If the start tracing time is after the time finishing join channel, this value will be the elapsed time from the start tracing time to remote user joined. The minimum value is 0.

## ◆ remoteJoined2SetView

- (NSInteger) remoteJoined2SetView
| readwritenonatomicassign

Elapsed time from remote user joined to set the view.

Note If the start tracing time is after the time when remote user joined, this value will be the elapsed time from the start tracing time to set the view. The minimum value is 0.

## ◆ remoteJoined2UnmuteVideo

- (NSInteger) remoteJoined2UnmuteVideo
| readwritenonatomicassign

Elapsed time from remote user joined to the time subscribing remote video stream.

Note If the start tracing time is after the time when remote user joined, this value will be the elapsed time from the start tracing time to the time subscribing remote video stream. The minimum value is 0.

## ◆ remoteJoined2PacketReceived

- (NSInteger) remoteJoined2PacketReceived
| readwritenonatomicassign

Elapsed time from remote user joined to the remote video packet received.

Note If the start tracing time is after the time when remote user joined, this value will be the elapsed time from the start tracing time to the time subscribing remote video stream. The minimum value is 0.